Index: pro-violet-viettel/sourcecode/application/config/config.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/config.php	(revision 694)
+++ pro-violet-viettel/sourcecode/application/config/config.php	(revision 695)
@@ -381,4 +381,6 @@
 |
 */
+
+$config['bccs_service_url'] = 'http://192.168.176.210:8684/BCCSGateway/BCCSGateway?wsdl';
 $config['mt_service_url'] = 'http://192.168.181.186:7777/sentmt/fromcp.asmx';
 $config['charging_service_url'] = 'http://10.60.32.154:8101/ChargingService.asmx';
@@ -395,4 +397,7 @@
 $config['charging_password'] = 'sbg123#@!';
 
+$config['bccs_username'] = '62ecbe4b1c0f7807';
+$config['bccs_password'] = '2996360cfaf294374687ccba21e07165';
+
 $config['topup_lock_path'] = '/var/tmp/';
 $config['topup_lock_max_reach'] = 3;
@@ -409,5 +414,4 @@
 $config['6'] = 70000;
 $config['12'] = 130000;
-$config['api_url'] = 'http://api.violet.vn/';
 
 /* End of file config.php */
Index: pro-violet-viettel/sourcecode/application/config/database.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/database.php	(revision 694)
+++ pro-violet-viettel/sourcecode/application/config/database.php	(revision 695)
@@ -49,5 +49,5 @@
 $active_record = TRUE; 
 
-$db['default']['hostname'] = 'mysql:host=127.0.0.1';
+/*$db['default']['hostname'] = 'mysql:host=127.0.0.1';
 $db['default']['username'] = 'root';//sbg
 $db['default']['password'] = 'Quyenhue@123';//sbg~~!!@@123
@@ -63,12 +63,12 @@
 $db['default']['swap_pre'] = '';
 $db['default']['autoinit'] = TRUE;
-$db['default']['stricton'] = FALSE;
+$db['default']['stricton'] = FALSE;*/
 
 
-/*$db['default']['hostname'] = '127.0.0.1';
+$db['default']['hostname'] = 'mysql:host=127.0.0.1';
 $db['default']['username'] = 'sbg';//sbg
 $db['default']['password'] = 'sbg~~!!@@123';//sbg~~!!@@123
 $db['default']['database'] = 'sbg';
-$db['default']['dbdriver'] = 'mysqli';
+$db['default']['dbdriver'] = 'pdo';
 $db['default']['dbprefix'] = '';
 $db['default']['pconnect'] = TRUE;
@@ -80,5 +80,5 @@
 $db['default']['swap_pre'] = '';
 $db['default']['autoinit'] = TRUE;
-$db['default']['stricton'] = FALSE;*/
+$db['default']['stricton'] = FALSE;
 
 
Index: pro-violet-viettel/sourcecode/application/language/message/messages_lang.php
===================================================================
--- pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 694)
+++ pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 695)
@@ -61,5 +61,5 @@
 $lang['_SBG_MO_USER_REGISTER_DUPLICATE_MSG'] = 'So dien thoai cua Ban da dang ky tai khoan DV Soan bai giang Online truoc do. Vui long long truy cap http://soanbaigiang.smas.vn de su dung DV hoac LH 01662860000 (cuoc goi di dong) de biet them chi tiet';
 
-$lang['_SBG_MO_USER_PHONENUM_CHANGE_DUPLICATE_MSG'] = 'So dien thoai :sentNumber: da dang ky DV Soan bai giang Online. Vui long soan HD SBG gui 8062 (500d/tin) hoac LH 01662860000 de biet them chi tiet';
+$lang['_SBG_MO_USER_PHONENUM_CHANGE_DUPLICATE_MSG'] = 'So dien thoai :sentNumber: da dang ky DV Soan bai giang Online. Vui long soan SBG HD gui 8062 (500d/tin) hoac LH 01662860000 de biet them chi tiet';
 $lang['_SBG_MO_USER_PHONENUM_CHANGE_INCORRECT_PASSWORD_MSG'] = 'Mat khau cua ban khong dung. Vui long kiem tra lai hoac LH 01662860000 de biet them chi tiet';
 
@@ -67,5 +67,5 @@
 $lang['_SBG_MO_USER_OLD_PHONENUM_CHANGE_SUCCESS_MSG'] = 'Ban da doi thanh cong so dien thoai tai DV Soan bai giang Online sang so dien thoai :sentNumber:. Vui long LH 01662860000 de biet them chi tiet';
 
-$lang['_SBG_MO_USER_PHONENUM_NOT_REGISTER_MSG'] = 'So thue bao :username: chua dang ky DV Soan bai giang Online. De dang ky, soan SBG DK gui 8062 (500d/tin). Chi tiet soan HD SBG gui 8062 (500d/tin) hoac LH 01662860000 (cuoc goi di dong).';
+$lang['_SBG_MO_USER_PHONENUM_NOT_REGISTER_MSG'] = 'So thue bao :username: chua dang ky DV Soan bai giang Online. De dang ky, soan SBG DK gui 8062 (500d/tin). Chi tiet soan SBG HD gui 8062 (500d/tin) hoac LH 01662860000 (cuoc goi di dong).';
 $lang['_SBG_MO_USER_PASSWORD_RECOVERY_MSG'] = 'Mat khau cua Ban la :pass:. Moi Ban truy cap soanbaigiang.smas.vn de su dung DV. Chi tiet LH 01662860000 (cuoc goi di dong).';
 $lang['_SBG_MO_USER_PASSWORD_CHANGE_SUCCESS_MSG'] = 'Ban da doi thanh cong mat khau tren SBG Online. Mat khau moi cua ban la :password:. Tran trong.';
@@ -78,5 +78,5 @@
 $lang['_SBG_MO_PAY_TO_ACCOUNT_FOR_MSG'] = 'Ban da duoc nap :amount:d vao tai khoan cua DV Soan bai giang Online tu so dien thoai :sentNumber:. Chi tiet LH 01662860000 (cuoc goi di dong).';
 $lang['_SBG_MO_PAY_TO_ACCOUNT_FOR_OTHER_SUCCESS_MSG'] = ' Ban da nap thanh cong :amount:d vao tai khoan :username: cua DV Soan bai giang Online. Chi tiet LH 01662860000 (cuoc goi di dong).';
-$lang['_SBG_MO_ACCOUNT_NOT_FOUND_MSG'] = 'So thue bao :username: chua dang ky DV Soan bai giang Online. De dang ky, soan SBG DK gui 8062 (500d/tin). Chi tiet soan HD SBG gui 8062 (500d/tin) hoac LH 01662860000 (cuoc goi di dong).';
+$lang['_SBG_MO_ACCOUNT_NOT_FOUND_MSG'] = 'So thue bao :username: chua dang ky DV Soan bai giang Online. De dang ky, soan SBG DK gui 8062 (500d/tin). Chi tiet soan SBG HD gui 8062 (500d/tin) hoac LH 01662860000 (cuoc goi di dong).';
 $lang['_SBG_MO_CHARGING_FAIL_NOT_ENOUGH_MSG'] = 'Tai khoan cua ban khong du de thuc hien nap :amount: vao tai khoan cua DV Soan bai giang Online. Chi tiet LH 01662860000 (cuoc goi di dong).:amount: ';
 $lang['_SBG_MO_CHARGING_FAIL_NOT_ENOUGH_FOR_MSG'] = 'Tai khoan cua Ban khong du de thuc hien nap :amount: vao tai khoan :username: cua DV Soan bai giang Online. Chi tiet LH 01662860000 (cuoc goi di dong).';
Index: pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 694)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 695)
@@ -100,5 +100,6 @@
 				$aryPatterns = array ('/:trialdays:/', '/:username:/', '/:password:/');
 				$trialdays = $this->config->item('trial_period');
-				$sms = preg_replace($aryPatterns, array($trialdays, $username, $password), lang('_SBG_MO_USER_REGISTER_SUCCESS_MSG'));
+				$trialdays = strlen($trialdays) < 2 ? '0'. $trialdays : $trialdays;
+				$sms = preg_replace($aryPatterns, array($trialdays. ' ngay', $username, $password), lang('_SBG_MO_USER_REGISTER_SUCCESS_MSG'));
 				$status = 1;
 				$aryPatterns = array('/:collaborator:/');
@@ -410,7 +411,7 @@
 	
 	public function updateUser($us_id, $data) {
-		$this->db->query ( 'UNLOCK TABLES' );
+		//$this->db->query ( 'UNLOCK TABLES' );
 		$this->db->where ( 'us_id', $us_id );
-		$this->db->update ( 'tbluser', $data );
+		return $this->db->update ( 'tbluser', $data );
 	}
 	
@@ -458,5 +459,5 @@
 		$paidlog = array ();
 		$paidlog ['us_id'] = isset ( $user ['us_id'] ) ? $user ['us_id'] : NULL;
-		$paidlog ['paidType'] = $paidType;
+		$paidlog ['paid_type'] = $paidType;
 		$paidlog ['amount'] = $amount;
 		$paidlog['source'] = "";
@@ -464,16 +465,20 @@
 		{
 			$paidlog['source'] = $sentNumber;
-			
-		}else
+		}
+		elseif ($paidType == 2)
 		{
-			$paidlog['source'] = null;
-		}
-		$paidlog ['paidTime'] = $paidTime;
-		$this->db->query ( 'UNLOCK TABLES' );
+			$paidlog['source'] = 'Thẻ cào';
+		}
+		else
+		{
+			$paidlog['source'] = '';
+		}
+		$paidlog ['paid_time'] = $paidTime;
 		$sql = 'INSERT INTO tblpaidlog(us_id, paid_type, amount, source, paid_time) VALUES (?,?,?,?,?)';
-		$query = $this->db->query ( $sql, $paidlog );
-	}
-	
-	public function insertCardlog($username, $pinCode, $serialNum, $cardValue, $receiveTime)
+
+		return $this->db->query ( $sql, $paidlog );
+	}
+	
+	public function insertCardlog($username, $us_id, $status, $pinCode, $serialNum, $cardValue, $receiveTime)
 	{
 		try {
@@ -484,5 +489,6 @@
 		$cardlog = array();
 		$cardlog['sender'] = $username;
-		$cardlog['us_id'] = isset ( $user ['us_id'] ) ? $user ['us_id'] : NULL;
+		$cardlog['us_id'] = $us_id;
+		$cardlog['status'] = $status;
 		$cardlog['pin_code'] = $pinCode;
 		$cardlog['serial_num'] = $serialNum;
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 694)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 695)
@@ -78,5 +78,5 @@
 														
 														<div class="col-sm-8">
-															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há» vÃ  tÃªn" id="form-field-first" class="col-xs-12 col-sm-10" <?php if ($p_id) echo 'disabled'; ?>>
+															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há» vÃ  tÃªn" id="form-field-first" class="col-xs-12 col-sm-10" <?php if (isset($p_id)) echo 'disabled'; ?>>
 
 														</div>
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/recharge.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/recharge.php	(revision 694)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/recharge.php	(revision 695)
@@ -41,5 +41,5 @@
 		$chargErrMsg = lang('_SBG_CHARGING_FROM_CARD_FAIL_MSG');
 		$errMsg = '';
-		
+		$cardValue = 0;
 		if ($isLocked == 0) {
 			$aryParams = array(
@@ -50,13 +50,17 @@
 			
 			$aryResult = array();
+			//$aryResult['TransactionAmount'] = 10000;
 			$chargCard = $this->services_model->cardPaidProcess($aryParams,  $aryResult);
-			
+			//$chargCard = _SBG_CARD_PAY_SUCCESS;
+			$status = $chargCard;
 			$paidType = 2;
 			$amount = $aryResult['TransactionAmount'];
+			$cardValue = $amount;
 			$paidTime = date('Y-m-d H:i:s');
 			$user['acc_balanced'] = $user['acc_balanced'] + $amount;
 			$user['updated_time'] = date('Y-m-d H:i:s');
-			if ($amount>0){
-				$this->objUserModel->updateUser($userID, $user);
+			if ($amount > 0){
+				$updateData = array('acc_balanced' => $user['acc_balanced'], 'updated_time' => $user['updated_time'] );
+				$updated = $this->objUserModel->updateUser($userID, $updateData);
 			}
 			
@@ -74,11 +78,17 @@
 			else {
 				$isLocked = createLockFile($lockFilePreFix, $maxReach, $timeToUnlock, $lockFilePath, FALSE);
-				$errMsg = $isLocked == 1 ? $chargErrMsg .'<br />'.$lockedMsg : $chargErrMsg; 
+				$errMsg = $isLocked == 1 ? $chargErrMsg .'<br />'.$lockedMsg : $chargErrMsg;
+				$status = 0;
 			}
 		}else if ($isLocked == 1) {
 			$errMsg = $lockedMsg; 
 			$result['success'] = _SBG_CARD_PAY_FAIL;
+			$status = -1;
 		}
+
+		$this->objUserModel->insertCardlog($user['cellphone'],$userID, $status, $pinCard, $cardSerial, $cardValue, $user['updated_time']);
 		
+		$result['us_id'] = $userID;
+		$result['UPDATED_DATA'] = $user;
 		$result['errMsg'] = $errMsg;
 		echo json_encode($result);
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php	(revision 694)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php	(revision 695)
@@ -215,4 +215,5 @@
 	{
  		error_reporting(E_ALL);
+
 		$this->load->model('Services_model');
 		
@@ -221,7 +222,11 @@
 		// get total page
 		$totalpage = 1;
+
 		$default = $this->Services_model->getCollaborator(2,1,1);
+		
+		$data = mb_convert_encoding($default, 'UTF-8');
+
 		if($default){
-			$xml = simplexml_load_string($default);
+			$xml = simplexml_load_string($data);
 			$xml->registerXPathNamespace("S", "http://schemas.xmlsoap.org/soap/envelope/");
 			$xml = $xml->xpath('//S:Body')[0];
@@ -230,5 +235,7 @@
 		}
 		
-		$result = $this->Services_model->getCollaborator(2,1,$totalpage);
+		var_dump($totalpage);
+
+		/*$result = $this->Services_model->getCollaborator(2,1,$totalpage);
 		if ($result){
 			$xml = simplexml_load_string($result);
@@ -258,5 +265,15 @@
 			$logMsg = date('Y-m-d H:i:s') . " Result is null \n";
 			write_file('./log/sync_collaborator.log', $logMsg, FOPEN_WRITE_CREATE);
-		}
+		}*/
 	}
 }
+
+	function fix_latin1_mangled_with_utf8_maybe_hopefully_most_of_the_time($str)
+	{
+		return preg_replace_callback('#[\\xA1-\\xFF](?![\\x80-\\xBF]{2,})#', 'utf8_encode_callback', $str);
+	}
+
+	function utf8_encode_callback($m)
+	{
+		return utf8_encode($m[0]);
+	}
Index: pro-violet-viettel/sourcecode/log/apicalling.log
===================================================================
--- pro-violet-viettel/sourcecode/log/apicalling.log	(revision 694)
+++ pro-violet-viettel/sourcecode/log/apicalling.log	(revision 695)
@@ -701,2 +701,156 @@
   'password' => '123456',
 )
+2014-12-10 10:49:29 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÄn QuÃ¢n &gender=female&email=&phone=0988568786&school=THCS TrÃ¢u Quá»³&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 10:50:36 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÄn QuÃ¢n &gender=female&email=&phone=0988568786&school=THCS TrÃ¢u Quá»³&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 10:50:46 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÄn QuÃ¢n &gender=female&email=&phone=0988568786&school=THCS TrÃ¢u Quá»³&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 10:51:18 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÄn QuÃ¢n &gender=female&email=&phone=0988568786&school=THCS TrÃ¢u Quá»³&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 10:51:18 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'status=0&id=68' - Action: 'http://sbgapi.violet.vn/user/update' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+  'us_id' => '68',
+  'password' => '',
+  'fullname' => 'Nguyá»
+n VÅ© DÅ©ng',
+  'school' => 'Báº¡ch Kim JSC',
+  'province' => '',
+  'oldpass' => '',
+)
+2014-12-10 11:01:02 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 11:01:20 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 11:01:56 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 11:14:07 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 11:14:55 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 11:15:21 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 11:16:03 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 14:46:27 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyen Van A&gender=female&email=&phone=0988568786&school=THCS Liem Chinh&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 14:47:29 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=&gender=female&email=&phone=0988568786&school=THCS Liem Chinh&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 14:48:02 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=&gender=female&email=&phone=0988568786&school=THCS Liem Chinh&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 14:48:02 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'status=0&id=68' - Action: 'http://sbgapi.violet.vn/user/update' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+  'us_id' => '68',
+  'password' => '',
+  'fullname' => 'Nguyá»
+n VÅ© DÅ©ng',
+  'school' => 'Báº¡ch Kim JSC',
+  'province' => '',
+  'oldpass' => '',
+)
+2014-12-10 14:48:17 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0&status=4&errMsg=Account is not activated' - Action: 'http://sbgapi.violet.vn/user/login' - PARAMS: array (
+  'src' => 'SBG',
+  'token' => '0c4e69de0fed05922f0c01d73276bdbe',
+  'username' => '0988568786',
+  'password' => '123456',
+)
+2014-12-10 14:48:27 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 15:00:36 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 15:00:43 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 15:23:38 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 15:23:56 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)
+2014-12-10 15:30:49 - File: D:\projects\wamp\www\pro-violet-viettel\sourcecode\application\libraries\vservices.php - line:64 - API Result: 'id=68&username=0988568786&fullname=Nguyá»
+n VÅ© DÅ©ng&gender=female&email=&phone=0988568786&school=Báº¡ch Kim JSC&province=&money=0' - Action: 'http://sbgapi.violet.vn/user/getinfo' - PARAMS: array (
+  'src' => 'SBG',
+  'us_id' => '68',
+  'token' => '5a8563c6cbcf23f42d0d3b4abea62c47',
+)