Index: /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 700)
+++ /pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 701)
@@ -87,2 +87,67 @@
 $lang['_SBG_MO_PHONENUM_WRONG_FORMAT_MSG'] = 'So dien thoai Khach hang khong hop le. Chi tiet LH 01662860000 (cuoc goi di dong).';
 $lang['_SBG_MO_SUPPORT_MSG'] = 'Soan bai giang Online la DV cho phep Ban tao cac noi dung phuc vu giang day truc tuyen. De dang ky DV, soan SBG DK; De nap tien vao tai khoan, soan SBG NAP [so tien]; De lay lai mat khau, soan SBG MK, tin nhan gui 8062 (500d/tin). Vui long long truy cap http://soanbaigiang.smas.vn hoac LH 01662860000 (cuoc di dong) de biet them chi tiet';
+
+
+$lang['_PROVINCES_'] = array('An Giang',
+						'BÃ  Rá»a - VÅ©ng TÃ u',
+						'Báº¯c Giang',
+						'Báº¯c Káº¡n',
+						'Báº¡c LiÃªu',
+						'Báº¯c Ninh',
+						'Báº¿n Tre',
+						'BÃ¬nh Äá»nh',
+						'BÃ¬nh DÆ°Æ¡ng',
+						'BÃ¬nh PhÆ°á»c',
+						'BÃ¬nh Thuáº­n',
+						'CÃ  Mau',
+						'Cao Báº±ng',
+						'Äáº¯k Láº¯k',
+						'Äáº¯k NÃŽng',
+						'Äiá»n BiÃªn',
+						'Äá»ng Nai',
+						'Äá»ng ThÃ¡p',
+						'Gia Lai',
+						'HÃ  Giang',
+						'HÃ  Nam',
+						'HÃ  TÄ©nh',
+						'Háº£i DÆ°Æ¡ng',
+						'Háº­u Giang',
+						'HÃ²a BÃ¬nh',
+						'HÆ°ng YÃªn',
+						'KhÃ¡nh HÃ²a',
+						'KiÃªn Giang',
+						'Kon Tum',
+						'Lai ChÃ¢u',
+						'LÃ¢m Äá»ng',
+						'Láº¡ng SÆ¡n',
+						'LÃ o Cai',
+						'Long An',
+						'Nam Äá»nh',
+						'Nghá» An',
+						'Ninh BÃ¬nh',
+						'Ninh Thuáº­n',
+						'PhÃº Thá»',
+						'Quáº£ng BÃ¬nh',
+						'Quáº£ng Nam',
+						'Quáº£ng NgÃ£i',
+						'Quáº£ng Ninh',
+						'Quáº£ng Trá»',
+						'SÃ³c TrÄng',
+						'SÆ¡n La',
+						'TÃ¢y Ninh',
+						'ThÃ¡i BÃ¬nh',
+						'ThÃ¡i NguyÃªn',
+						'Thanh HÃ³a',
+						'Thá»«a ThiÃªn Huáº¿',
+						'Tiá»n Giang',
+						'TrÃ  Vinh',
+						'TuyÃªn Quang',
+						'VÄ©nh Long',
+						'VÄ©nh PhÃºc',
+						'YÃªn BÃ¡i',
+						'PhÃº YÃªn',
+						'TP Cáº§n ThÆ¡',
+						'TP ÄÃ  Náºµng',
+						'TP Háº£i PhÃ²ng',
+						'TP HÃ  Ná»i',
+						'TP HCM');
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 700)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 701)
@@ -29,5 +29,6 @@
             $data['packages'] = $this->Servicepackage_model->getAllPackages();
             $data['is_viettel'] = isset($user_info['is_viettel']) ? $user_info['is_viettel']:FALSE;
-            
+            $data['provinces'] = lang('_PROVINCES_');
+			
             $data = (is_array($u)) ? array_merge($data, $u) : $data;
             $data = (is_array($user_info)) ? array_merge($data, $user_info):$data;
@@ -80,4 +81,5 @@
         $this->load->model('user_model');
         $input = $this->input->post();
+		//print_r($input);
         $user_info = $this->session->userdata('userInfo');
         parse_str($user_info['user'], $info);
@@ -99,10 +101,10 @@
                     $input['gender'] = '';
                     $input['email'] = '';
-                    $input['province'] = '';
+                    //$input['province'] = '';
                     $info['fullname'] = $input['fullname'];
                     $info['school'] = $input['school'];
                     $token = md5($us_id . self::TOKENPW);
                     $user = $this->get_data($src, $token, $us_id);
-					$input['district'] = '';
+					//$input['district'] = '';
                     if ($input) {
                         $this->load->model('user_model');
@@ -131,5 +133,6 @@
         $user['expire_date'] = date('Y-m-d', strtotime("+" . $package['p_period'] . " ".$package['p_unit'], strtotime($currentExpireDate))); 
         $user['p_id'] = $package['p_id'];
-		$user['district'] = '';
+		$user['district'] = $input['district'];
+		$user['province'] = $input['province'];
         $this->user_model->updateUser($us_id, $user);
         $user['expire_date'] = date("d-m-Y", (strtotime($user['expire_date'])));
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 700)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 701)
@@ -45,4 +45,22 @@
                             </div>
                         </div>
+						<div class="form-group">
+							<label for="form-field-province" class="col-sm-4 control-label no-padding-right">Tá»nh / ThÃ nh phá»</label>
+							<div class="col-sm-8">
+								<select name="province" id="form-field-province" class="input-large">
+								<?php foreach (lang('_PROVINCES_') as $pro):?>
+									<option value="<?php echo $pro;?>"><?php echo $pro; ?></option>
+								<?php endforeach;?>
+								</select>
+							</div>
+						</div>
+						<div class="form-group">
+							<label for="form-field-district" class="col-sm-4 control-label no-padding-right">Quáº­n / Huyá»n</label>
+
+							<div class="col-sm-8">
+								<input type="text" name="district" value="<?php echo @$district; ?>" placeholder="Quáº­n / Huyá»n" id="form-field-district" class="input-large">
+							</div>
+						</div>
+
 <?php if ($can_edit == 1) { ?>
                         LÆ°u Ãœ:
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php	(revision 700)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/views/servicemodals.php	(revision 701)
@@ -17,5 +17,5 @@
 		      <div class="modal-footer">
 		      	<button type="button" class="btn btn-info" data-dismiss="modal">DÃ¹ng thá»­</button>
-		      	<button type="button" class="btn btn-success" id="services-reg" data-dismiss="modal">ÄÄng kÃœ gÃ³i VIP</button>
+		      	<button type="button" class="btn btn-success" id="services-reg1" data-dismiss="modal">ÄÄng kÃœ gÃ³i VIP</button>
 		      </div>
 		    </div>
Index: /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 700)
+++ /pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 701)
@@ -101,5 +101,10 @@
 
                                                     <div class="col-sm-8">
-                                                        <input type="text" name="province" value="<?php echo @$province; ?>" placeholder="Tá»nh / ThÃ nh phá»" id="form-field-province" class="col-xs-12 col-sm-10">
+                                                        <!--input type="text" name="province" value="<?php echo @$province; ?>" placeholder="Tá»nh / ThÃ nh phá»" id="form-field-province" class="col-xs-12 col-sm-10"-->
+														<select name="province" id="form-field-province" class="col-xs-12 col-sm-10">
+														<?php foreach ($provinces as $pro):?>
+															<option value="<?php echo $pro;?>" <?php if($province==$pro) echo "selected"; ?>><?php echo $pro; ?></option>
+														<?php endforeach;?>
+														</select>
                                                     </div>
                                                 </div>
Index: /pro-violet-viettel/sourcecode/assets/js/frontend/user.js
===================================================================
--- /pro-violet-viettel/sourcecode/assets/js/frontend/user.js	(revision 700)
+++ /pro-violet-viettel/sourcecode/assets/js/frontend/user.js	(revision 701)
@@ -27,4 +27,5 @@
 $("#package_register").submit(function (event)
 { 
+	//console.log($(this).attr("action"));
     $.ajax({
         url: $(this).attr("action"),
@@ -35,4 +36,5 @@
 
             var results = jQuery.parseJSON(data);
+			
             $('#package_register_modal').replaceWith(results.modal);
             $('#package_register_modal').modal('show');