Index: /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportpackage.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportpackage.php	(revision 702)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportpackage.php	(revision 702)
@@ -0,0 +1,100 @@
+<?php
+
+if (!defined('BASEPATH'))
+    exit('No direct script access allowed');
+
+class Reportpackage extends MX_Controller {
+
+    const TOKENPW = 'violet';
+
+    public function __construct() {
+        parent::__construct();
+        $this->load->helper('cookie');
+        $this->load->helper('language');
+        $this->lang->load('messages', 'message');
+    }
+
+    public function index() {
+        $data = array();
+        $admin_info = $this->session->userdata('adminInfo');
+        if ($admin_info) {
+            $data['content'] = $this->getProvince();
+            $this->load->view('reportpackage/index', $data);
+        } else {
+            $this->load->view('login');
+        }
+    
+    }
+
+
+
+    public function getProvince($filters = array()) {
+        
+        $this->load->model('reportmodel');
+        $data['month']=date("m");
+        $data['year']=date("Y");
+        if ($this->input->post('month')) {
+          $data['month']=$this->input->post('month');
+          $data['year']=$this->input->post('year');
+        }
+        $data['month_days']=1;
+        if("".$data['year']."-".$data['month'].""==date("Y-m"))
+        {
+        $data['month_days']=date("d");
+        }
+        else
+        {
+        $data['month_days']=cal_days_in_month(CAL_GREGORIAN, $data['month'], $data['year']); // 31  
+        }
+        $data['year_days']=1;
+        if($data['year']== date("Y"))
+        {
+        $data['year_days']=date('z') + 1;
+        }
+        else
+        {
+        $data['year_days']=date("z", mktime(0,0,0,12,31,$data['year'])) + 1;
+        }
+        
+
+        
+        $result=$this->reportmodel->getPackages($data);
+        $data['provinces'] = $result['provinces'];
+        $data['packages'] = $result['packages'];
+        
+        if ($this->input->is_ajax_request()) {
+            return $this->load->view('reportpackage/province', $data);
+        }
+        return $this->load->view('reportpackage/province', $data, true);
+    }
+
+    private function get_fullname($us_id) {
+        $fullname="";
+        $src = 'violet';
+        $token = md5($us_id . self::TOKENPW);
+        $this->load->model('user_model');
+        $data = $this->user_model->get_user_info($src, $us_id, $token);
+        parse_str($data,$data);
+        if (isset($data['fullname']))
+        {
+            $fullname=$data['fullname'];
+        }
+        return $fullname;
+    }
+
+    public function test() {
+
+            $provinces=lang('_PROVINCES_');
+            $sql="SELECT * FROM tbluser";
+            $query = $this->db->query ($sql);
+		$result = $query->result_array();
+            foreach ($result as $user)
+            {
+                $p=$provinces[rand(0,62)];
+                $user['province']=$p;
+                $this->db->where('us_id', $user['us_id']);
+		$this->db->update('tbluser', $user);
+            }
+    }
+
+}
Index: /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportprovince.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportprovince.php	(revision 702)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportprovince.php	(revision 702)
@@ -0,0 +1,101 @@
+<?php
+
+if (!defined('BASEPATH'))
+    exit('No direct script access allowed');
+
+class Reportprovince extends MX_Controller {
+
+    const TOKENPW = 'violet';
+
+    public function __construct() {
+        parent::__construct();
+        $this->load->helper('cookie');
+        $this->load->helper('language');
+        $this->lang->load('messages', 'message');
+    }
+
+    public function index() {
+        $data = array();
+        $admin_info = $this->session->userdata('adminInfo');
+        if ($admin_info) {
+            $data['content'] = $this->getProvince();
+            $this->load->view('reportprovince/index', $data);
+        } else {
+            $this->load->view('login');
+        }
+    
+    }
+
+
+
+    public function getProvince($filters = array()) {
+        
+        $this->load->model('reportmodel');
+        $data['month']=date("m");
+        $data['year']=date("Y");
+        if ($this->input->post('month')) {
+          $data['month']=$this->input->post('month');
+          $data['year']=$this->input->post('year');
+        }
+        $data['month_days']=1;
+        if("".$data['year']."-".$data['month'].""==date("Y-m"))
+        {
+        $data['month_days']=date("d");
+        }
+        else
+        {
+        $data['month_days']=cal_days_in_month(CAL_GREGORIAN, $data['month'], $data['year']); // 31  
+        }
+        $data['year_days']=1;
+        if($data['year']== date("Y"))
+        {
+        $data['year_days']=date('z') + 1;
+        }
+        else
+        {
+        $data['year_days']=date("z", mktime(0,0,0,12,31,$data['year'])) + 1;
+        }
+        
+     
+        $data['provinces'] = $this->reportmodel->getProvinces($data);
+
+        foreach ($data['provinces'] as $index => $paidlog) {
+            $data['provinces'][$index]['username'] = @$this->get_fullname($paidlog['us_id']); 
+        }
+
+        if ($this->input->is_ajax_request()) {
+            return $this->load->view('reportprovince/province', $data);
+        }
+        return $this->load->view('reportprovince/province', $data, true);
+    }
+
+    private function get_fullname($us_id) {
+        $fullname="";
+        $src = 'violet';
+        $token = md5($us_id . self::TOKENPW);
+        $this->load->model('user_model');
+        $data = $this->user_model->get_user_info($src, $us_id, $token);
+        parse_str($data,$data);
+        if (isset($data['fullname']))
+        {
+            $fullname=$data['fullname'];
+        }
+        return $fullname;
+    }
+
+    public function test() {
+
+            $provinces=lang('_PROVINCES_');
+            $sql="SELECT * FROM tbluser";
+            $query = $this->db->query ($sql);
+		$result = $query->result_array();
+            foreach ($result as $user)
+            {
+                $p=$provinces[rand(0,62)];
+                $user['province']=$p;
+                $this->db->where('us_id', $user['us_id']);
+		$this->db->update('tbluser', $user);
+            }
+    }
+
+}
Index: /pro-violet-viettel/sourcecode/application/modules/admin/models/reportmodel.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/models/reportmodel.php	(revision 702)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/models/reportmodel.php	(revision 702)
@@ -0,0 +1,131 @@
+<?php
+
+if (!defined('BASEPATH'))
+    exit('No direct script access allowed');
+
+class Reportmodel extends MY_Model {
+
+    protected $table_name = 'tblpaidlog';
+    protected $id_name = 'id';
+
+    function __construct() {
+        parent::__construct();
+        $this->load->helper('language');
+        $this->lang->load('messages', 'message');
+    }
+
+    function getProvinces($input) {
+
+        $provinces = lang('_PROVINCES_');
+        // Tinh doanh thu theo tinh theo nam
+        $sql = "SELECT *,SUM(amount) as total FROM tblpaidlog LEFT JOIN tbluser ON tbluser.us_id=tblpaidlog.us_id WHERE tblpaidlog.paid_time >'" . $input['year'] . "-01-01' AND tblpaidlog.paid_time <'" . ($input['year'] + 1) . "-01-01' GROUP BY tbluser.province";
+        $query = $this->db->query($sql);
+        $dtns = $query->result_array();
+        // tinh doanh thu theo thang
+        $sql = "SELECT *,SUM(amount) as total FROM tblpaidlog LEFT JOIN tbluser ON tbluser.us_id=tblpaidlog.us_id WHERE tblpaidlog.paid_time >'" . $input['year'] . "-" . $input['month'] . "-01' AND tblpaidlog.paid_time <'" . $input['year'] . "-" . $input['month'] . "-31' GROUP BY tbluser.province";
+        $query = $this->db->query($sql);
+        $dtts = $query->result_array();
+
+
+        // Tinh thue bao theo tinh theo nam
+        $sql = "SELECT *,count(us_id) as total FROM tbluser WHERE tbluser.created_time >'" . $input['year'] . "-01-01' AND tbluser.created_time <'" . ($input['year'] + 1) . "-01-01' GROUP BY tbluser.province";
+        $query = $this->db->query($sql);
+        $tbns = $query->result_array();
+
+        // tinh thue bao theo thang
+        $sql = "SELECT *,count(us_id) as total FROM tbluser WHERE tbluser.created_time >'" . $input['year'] . "-" . $input['month'] . "-01' AND tbluser.created_time <'" . $input['year'] . "-" . $input['month'] . "-31' GROUP BY tbluser.province";
+        $query = $this->db->query($sql);
+        $tbts = $query->result_array();
+
+
+        foreach ($provinces as $index2 => $province) {
+            $provinces[$index2] = array("stt" => ($index2 + 1), "province" => $province, "dtn" => 0, "dtt" => 0, "dtng" => 0, "tbn" => 0, "tbt" => 0, "tbng" => 0);
+            foreach ($dtns as $data) {
+                if ($province == $data['province']) {
+                    $provinces[$index2]['dtn'] = $data['total'];
+                }
+            }
+            foreach ($dtts as $data) {
+                if ($province == $data['province']) {
+                    $provinces[$index2]['dtt'] = $data['total'];
+                    $provinces[$index2]['dtng'] = round($data['total'] / $input['month_days'], 2);
+                }
+            }
+
+
+
+            foreach ($tbns as $data) {
+                if ($province == $data['province']) {
+                    $provinces[$index2]['tbn'] = $data['total'];
+                }
+            }
+            foreach ($tbts as $data) {
+                if ($province == $data['province']) {
+                    $provinces[$index2]['tbt'] = $data['total'];
+                    $provinces[$index2]['tbng'] = round($data['total'] / $input['month_days'], 2);
+                }
+            }
+        }
+        return $provinces;
+    }
+
+    function getPackages($input) {
+
+        $provinces = lang('_PROVINCES_');
+        // tinh thue bao theo thang
+        $sql = "SELECT * FROM tbluser LEFT JOIN tblservicepackage ON tbluser.p_id=tblservicepackage.p_id  WHERE tbluser.created_time >'".$input['year']."-".$input['month']."-01' AND tbluser.created_time <'".$input['year']."-".$input['month']."-31' AND tblservicepackage.p_period > 0 " ;
+        $query = $this->db->query($sql);
+        $users = $query->result_array();
+
+
+        $sql = "SELECT * FROM tblservicepackage WHERE p_period>0";
+        $query = $this->db->query($sql);
+        $packages = $query->result_array();
+        foreach ($packages as $index => $package) {
+            $packages[$index]['users'] = array();
+            foreach ($users as $user) {
+                if ($user['p_id'] == $package['p_id']) {
+                    $packages[$index]['users'][] = $user;
+                }
+            }
+        }
+
+        foreach ($provinces as $index => $province) {
+            $provinces[$index] = array("province" => $province);
+        }
+
+        foreach ($provinces as $index => $province) {
+            $provinces[$index]['stt']=$index+1;
+            $provinces[$index]['total'] = 0;
+            $totaluser = 0;
+            foreach ($packages as $index2 => $package) {
+                $provinces[$index]['packages'][$package['p_name']]['users'] = array();
+                $provinces[$index]['packages'][$package['p_name']]['total'] = 0;
+                $total = 0;
+                foreach ($package['users'] as $user) {
+                    if ($province['province'] == $user['province']) {
+                        $total = $total + 1;
+                        $totaluser = $totaluser + 1;
+                        $provinces[$index]['total'] = $totaluser;
+                        $provinces[$index]['packages'][$package['p_name']]['total'] = $total;
+
+                        $provinces[$index]['packages'][$package['p_name']]['users'][] = $user;
+                    }
+                }
+            }
+        }
+        foreach ($provinces as $index => $province) {
+            foreach ($packages as $index2 => $package) {
+                $provinces[$index]['packages'][$package['p_name']]['percent'] = 0;
+                if ($provinces[$index]['packages'][$package['p_name']]['total'] > 0 && $province['total'] > 0) {
+                    $provinces[$index]['packages'][$package['p_name']]['percent'] = round($provinces[$index]['packages'][$package['p_name']]['total'] / $province['total'], 2) * 100;
+                }
+            }
+        }
+      
+        $data['packages']=$packages;
+        $data['provinces']=$provinces;
+        return $data;
+    }
+
+}
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportpackage/index.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportpackage/index.php	(revision 702)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportpackage/index.php	(revision 702)
@@ -0,0 +1,101 @@
+<?php
+$base_url = base_url();
+$this->load->view('layout/admin/header', array('base_url' => $base_url));
+$this->load->view('layout/admin/sidebar', array('base_url' => $base_url, 'method' => $this->router->method, 'class' => $this->router->class));
+?>
+<script type="text/javascript">
+
+
+
+    function filter()
+    {
+        $.ajax({
+            url: '<?php echo base_url(); ?>admin/reportpackage/getProvince',
+            type: "POST",
+            data: $("#province").serialize(),
+            success: function (data, textStatus, jqXHR)
+            {
+                // $result = jQuery.parseJSON(data);
+                $("#content").html(data);
+            },
+            error: function (jqXHR, textStatus, errorThrown)
+            {
+                $(".ajaxloading").hide();
+            }
+        });
+    }
+
+
+</script>
+<style type="text/css" media="screen">
+    .widget-header-flat {
+        background: #307ecc;
+        color: #fff
+    }
+    .widget-toolbar>[data-action="collapse"], .header-color-dark>.widget-toolbar>[data-action="collapse"] {
+        color: #fff
+    }
+    .widget-header, .widget-content {
+        width: auto
+    }
+    .widget-body .table thead:first-child tr {
+        background: #EDECEC;
+        color: #707070;
+        font-weight: normal;
+    }
+</style>
+
+<div class="main-content" >
+    <div id="breadcrumbs" class="breadcrumbs">
+
+        <ul class="breadcrumb">
+            <li>
+                <i class="icon-home home-icon"></i>
+                <a href="#">Trang chá»§</a>
+            </li>
+
+            <li>
+                <a href="#">BÃ¡o cÃ¡o</a>
+            </li>
+
+        </ul><!-- .breadcrumb -->
+
+        <div id="nav-search" class="nav-search">
+
+        </div><!-- #nav-search -->
+    </div>
+
+
+
+
+    <div class="page-content">
+
+        <div class="page-header">
+            <h1>
+                BÃ¡o cÃ¡o
+                <small>
+                    <i class="icon-double-angle-right"></i>
+                    Thá»ng kÃª
+                </small>
+            </h1>
+        </div><!-- /.page-header -->
+
+
+        <div class="row" id="content">    
+            <?php echo $content; ?>
+        </div>
+    </div>
+</div><!-- /.main-content -->
+</div><!-- /.main-container-inner -->
+
+<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+    <i class="icon-double-angle-up icon-only bigger-110"></i>
+</a>
+</div><!-- /.main-container -->
+
+
+
+</div><!-- /.modal-dialog -->
+<?php
+$this->load->view('layout/admin/footer', array('base_url' => $base_url, 'adminjs' => array('assets/js/admin/report.js')));
+?>    
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportpackage/province.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportpackage/province.php	(revision 702)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportpackage/province.php	(revision 702)
@@ -0,0 +1,86 @@
+
+
+<div class="page-content">
+
+    <div class="row">
+        <div class="col-xs-12">
+            <!-- PAGE CONTENT BEGINS -->
+            <div style="padding-bottom:4px" class="table-header">
+                BÃ¡o cÃ¡o doanh thu theo tá»nh / thÃ nh phá»
+            </div>
+            <!-- PAGE CONTENT BEGINS -->
+            <div class="table-responsive">
+                <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
+                    <form autocomplete="off" onsubmit="return false;" id="province" >
+                        <div class="row">
+                            <div class="col-sm-6">
+                                <div class="" style="display: inline-block"><label>ThÃ¡ng
+
+                                        <select aria-controls="sample-table-2" size="1" name="month" onchange="filter();">                                      
+                                            <?php for ($i=1;$i<=12;$i++) { ?>
+                                            <option value="<?php echo $i;?>" <?php if($month==$i) { ?> selected <?php }?>><?php echo $i;?></option>
+                                            <?php }?>
+                                        </select>
+                                </div>
+                                <div class=""  style="display: inline-block"><label>NÄm
+
+                                        <select aria-controls="sample-table-2" size="1" name="year" onchange="filter();">                                      
+                                            <?php for ($i=2014;$i<=date("Y");$i++) { ?>
+                                            <option value="<?php echo $i;?>" <?php if($year==$i) { ?> selected <?php }?>><?php echo $i;?></option>
+                                            <?php }?>
+                                        </select>
+                                </div>
+                            </div>
+
+                            <div class="col-sm-6">
+
+                            </div>
+                        </div>
+                          </form>
+                    <table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
+                        <thead>
+                            <tr>
+                                <th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
+                                    Thá»© tá»±
+                                </th>
+                                <th class="">Tá»nh/TP</th>
+                                <?php foreach ($packages as $package) {?>
+                                <th class=""><?php echo $package['p_name']; ?></th>
+                                <th class="">Tá» lá» %</th>
+                                <?php }?>
+                                <th>Tá»ng TB</th>
+                            </tr>
+                        </thead>
+
+                        <tbody role="alert" aria-live="polite" aria-relevant="all">
+                            <?php
+                            foreach ($provinces as $province) {
+                                ?>
+                                <tr class="odd">
+
+
+                                    <td class=" ">
+                                        <?php echo $province['stt']; ?>
+                                    </td>
+                                    <td class=" "><?php echo $province['province']; ?></td>
+                                    <?php foreach ($province['packages'] as $package) { ?>
+                                    <td><?php echo $package['total']?></td>
+                                    <td><?php echo $package['percent']?></td>
+                                    <?php } ?>
+                                    <td class=" "><?php echo $province['total']?></td>
+
+                                </tr>
+                            <?php } ?>
+                        </tbody>
+                    </table>
+                    <div class="row"><div class="col-sm-6">
+
+                        </div>
+                    </div>
+                </div><!-- /.table-responsive -->
+
+                <!-- PAGE CONTENT ENDS -->
+            </div><!-- /.col -->
+        </div><!-- /.row -->
+    </div><!-- /.page-content -->
+
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportprovince/index.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportprovince/index.php	(revision 702)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportprovince/index.php	(revision 702)
@@ -0,0 +1,101 @@
+<?php
+$base_url = base_url();
+$this->load->view('layout/admin/header', array('base_url' => $base_url));
+$this->load->view('layout/admin/sidebar', array('base_url' => $base_url, 'method' => $this->router->method, 'class' => $this->router->class));
+?>
+<script type="text/javascript">
+
+
+
+    function filter()
+    {
+        $.ajax({
+            url: '<?php echo base_url(); ?>admin/reportprovince/getProvince',
+            type: "POST",
+            data: $("#province").serialize(),
+            success: function (data, textStatus, jqXHR)
+            {
+                // $result = jQuery.parseJSON(data);
+                $("#content").html(data);
+            },
+            error: function (jqXHR, textStatus, errorThrown)
+            {
+                $(".ajaxloading").hide();
+            }
+        });
+    }
+
+
+</script>
+<style type="text/css" media="screen">
+    .widget-header-flat {
+        background: #307ecc;
+        color: #fff
+    }
+    .widget-toolbar>[data-action="collapse"], .header-color-dark>.widget-toolbar>[data-action="collapse"] {
+        color: #fff
+    }
+    .widget-header, .widget-content {
+        width: auto
+    }
+    .widget-body .table thead:first-child tr {
+        background: #EDECEC;
+        color: #707070;
+        font-weight: normal;
+    }
+</style>
+
+<div class="main-content" >
+    <div id="breadcrumbs" class="breadcrumbs">
+
+        <ul class="breadcrumb">
+            <li>
+                <i class="icon-home home-icon"></i>
+                <a href="#">Trang chá»§</a>
+            </li>
+
+            <li>
+                <a href="#">BÃ¡o cÃ¡o</a>
+            </li>
+
+        </ul><!-- .breadcrumb -->
+
+        <div id="nav-search" class="nav-search">
+
+        </div><!-- #nav-search -->
+    </div>
+
+
+
+
+    <div class="page-content">
+
+        <div class="page-header">
+            <h1>
+                BÃ¡o cÃ¡o
+                <small>
+                    <i class="icon-double-angle-right"></i>
+                    Thá»ng kÃª
+                </small>
+            </h1>
+        </div><!-- /.page-header -->
+
+
+        <div class="row" id="content">    
+            <?php echo $content; ?>
+        </div>
+    </div>
+</div><!-- /.main-content -->
+</div><!-- /.main-container-inner -->
+
+<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+    <i class="icon-double-angle-up icon-only bigger-110"></i>
+</a>
+</div><!-- /.main-container -->
+
+
+
+</div><!-- /.modal-dialog -->
+<?php
+$this->load->view('layout/admin/footer', array('base_url' => $base_url, 'adminjs' => array('assets/js/admin/report.js')));
+?>    
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/reportprovince/province.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/reportprovince/province.php	(revision 702)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/reportprovince/province.php	(revision 702)
@@ -0,0 +1,89 @@
+
+
+<div class="page-content">
+
+    <div class="row">
+        <div class="col-xs-12">
+            <!-- PAGE CONTENT BEGINS -->
+            <div style="padding-bottom:4px" class="table-header">
+                BÃ¡o cÃ¡o doanh thu theo tá»nh / thÃ nh phá»
+            </div>
+            <!-- PAGE CONTENT BEGINS -->
+            <div class="table-responsive">
+                <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
+                    <form autocomplete="off" onsubmit="return false;" id="province" >
+                        <div class="row">
+                            <div class="col-sm-6">
+                                <div class="" style="display: inline-block"><label>ThÃ¡ng
+
+                                        <select aria-controls="sample-table-2" size="1" name="month" onchange="filter();">                                      
+                                            <?php for ($i=1;$i<=12;$i++) { ?>
+                                            <option value="<?php echo $i;?>" <?php if($month==$i) { ?> selected <?php }?>><?php echo $i;?></option>
+                                            <?php }?>
+                                        </select>
+                                </div>
+                                <div class=""  style="display: inline-block"><label>NÄm
+
+                                        <select aria-controls="sample-table-2" size="1" name="year" onchange="filter();">                                      
+                                            <?php for ($i=2014;$i<=date("Y");$i++) { ?>
+                                            <option value="<?php echo $i;?>" <?php if($year==$i) { ?> selected <?php }?>><?php echo $i;?></option>
+                                            <?php }?>
+                                        </select>
+                                </div>
+                            </div>
+
+                            <div class="col-sm-6">
+
+                            </div>
+                        </div>
+                          </form>
+                    <table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
+                        <thead>
+                            <tr>
+                                <th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
+                                    Thá»© tá»±
+                                </th>
+                                <th class="">Tá»nh/TP</th>
+                                <th>TB ngÃ y</th>
+                                <th>LÅ©y káº¿ TB thÃ¡ng</th>
+                                <th>Tá»ng TB NÄm</th>
+                                <th>DT ngÃ y</th>
+                                <th>LÅ©y káº¿ DT thÃ¡ng</th>
+                                <th>Tá»ng DT nÄm</th>
+                            </tr>
+                        </thead>
+
+                        <tbody role="alert" aria-live="polite" aria-relevant="all">
+                            <?php
+                            foreach ($provinces as $province) {
+                                ?>
+                                <tr class="odd">
+
+
+                                    <td class=" ">
+                                        <?php echo $province['stt']; ?>
+                                    </td>
+                                    <td class=" "><?php echo $province['province']; ?></td>
+
+                                    <td class="hidden-480 "><?php echo $province['tbng']; ?></td>
+                                    <td class="hidden-480 "><?php echo $province['tbt']; ?></td>
+                                    <td class=" "><?php echo $province['tbn']; ?></td>
+                                    <td class=" "><?php echo $province['dtng']; ?></td>
+                                    <td class=" "><?php echo $province['dtt']; ?></td>
+                                    <td class=" "><?php echo $province['dtn']; ?></td>
+
+                                </tr>
+                            <?php } ?>
+                        </tbody>
+                    </table>
+                    <div class="row"><div class="col-sm-6">
+
+                        </div>
+                    </div>
+                </div><!-- /.table-responsive -->
+
+                <!-- PAGE CONTENT ENDS -->
+            </div><!-- /.col -->
+        </div><!-- /.row -->
+    </div><!-- /.page-content -->
+