Index: pro-violet-viettel/sourcecode/application/modules/admin/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/models/user_model.php	(revision 702)
+++ pro-violet-viettel/sourcecode/application/modules/admin/models/user_model.php	(revision 706)
@@ -35,15 +35,15 @@
 				if ($data['status']==0){
 					if(strlen($data['daterange_start'])>0){
-						$sql.=" WHERE (cellphone LIKE '%".$data['keyword']."%' OR collaborator LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR district LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%') AND (created_time BETWEEN '".$data['daterange_start']."' AND '".$data['daterange_end']."')";
+						$sql.=" WHERE (cellphone LIKE '%".$data['keyword']."%' OR collaborator LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%') AND (created_time BETWEEN '".$data['daterange_start']."' AND '".$data['daterange_end']."')";
 					}else
 					{
-						$sql.=" WHERE (cellphone LIKE '%".$data['keyword']."%' OR collaborator LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR district LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%')";
+						$sql.=" WHERE (cellphone LIKE '%".$data['keyword']."%' OR collaborator LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%')";
 					}
 				}else
 				{
 					if(strlen($data['daterange_start'])>0){
-						$sql.=" AND (cellphone LIKE '%".$data['keyword']."%' OR collaborator LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR district LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR district LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%') AND (created_time BETWEEN '".$data['daterange_start']."' AND '".$data['daterange_end']."')";
+						$sql.=" AND (cellphone LIKE '%".$data['keyword']."%' OR collaborator LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR district LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%') AND (created_time BETWEEN '".$data['daterange_start']."' AND '".$data['daterange_end']."')";
 					}else{
-						$sql.=" AND (cellphone LIKE '%".$data['keyword']."%' OR collaborator LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR district LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR district LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%') ";
+						$sql.=" AND (cellphone LIKE '%".$data['keyword']."%' OR collaborator LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%' OR acc_balanced LIKE '%".$data['keyword']."%' OR district LIKE '%".$data['keyword']."%' OR province LIKE '%".$data['keyword']."%') ";
 					}
 				}
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php	(revision 702)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php	(revision 706)
@@ -105,5 +105,4 @@
                                 <th class="<?php if ($sorting_field == 'cellphone') {echo $sorting_order;} else {echo "sorting";}?>" id="cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 156px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
                                 <th class="<?php if ($sorting_field == 'acc_balanced') {echo $sorting_order;} else {echo "sorting";}?>" id="acc_balanced" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 156px;" aria-label="Tiá»n: activate to sort column ascending">TÃ i khoáº£n (VNÄ)</th>
-								<th style="width: 140px;">Quáº­n/Huyá»n</th>
 								<th style="width: 140px;">Tá»nh/TP</th>
                                 <th class="<?php if ($sorting_field == 'created_time') {echo $sorting_order;} else {echo "sorting";}?>" id="created_time" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 156px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">
@@ -139,5 +138,4 @@
                                 </td>
                                 <td class="hidden-480 "><?php echo number_format($user['acc_balanced'], 0); ?></td>
-								<td><?php echo $user['district']; ?></td>
 								<td><?php echo $user['province']; ?></td>
                                 <td class=" "><?php echo $user['created_time']; ?></td>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 702)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 706)
@@ -25,5 +25,13 @@
             $token = md5($us_id . self::TOKENPW);
             $data = $this->get_data($src, $token, $us_id);
+			$data['can_edit'] = 0;
             $u = $this->User_model->get_user_by_id($us_id);
+			if ($u['p_id'] < 1) {
+                $data['can_edit'] = 1;
+            }
+            if ($data['fullname']=="")
+            {
+                $data['can_edit'] = 1;
+            }
             $data['current_tab'] = $this->uri->segment(4, 'edit-basic');
             $data['packages'] = $this->Servicepackage_model->getAllPackages();
@@ -59,4 +67,7 @@
             }
             
+			if(strtotime($user['expire_date'])<strtotime(date('Y-m-d'))){
+				$result['can_edit'] = 1;
+			}
             if ($user['p_id'] < 1) {
                 $result['can_edit'] = 1;
@@ -133,5 +144,5 @@
         $user['expire_date'] = date('Y-m-d', strtotime("+" . $package['p_period'] . " ".$package['p_unit'], strtotime($currentExpireDate))); 
         $user['p_id'] = $package['p_id'];
-		$user['district'] = $input['district'];
+		//$user['district'] = $input['district'];
 		$user['province'] = $input['province'];
         $this->user_model->updateUser($us_id, $user);
Index: pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 702)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 706)
@@ -166,5 +166,4 @@
 		), 'user' );
 		$u = array('province'=>$user['province'],
-				'district'=>$user['district'],
 				'updated_time'=>date('Y-m-d H:i:s')
 				);
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 702)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 706)
@@ -50,16 +50,16 @@
 								<select name="province" id="form-field-province" class="input-large">
 								<?php foreach (lang('_PROVINCES_') as $pro):?>
-									<option value="<?php echo $pro;?>"><?php echo $pro; ?></option>
+									<option value="<?php echo $pro;?>" <?php if($user['province'] == $pro) echo "selected"; ?> ><?php echo $pro; ?></option>
 								<?php endforeach;?>
 								</select>
 							</div>
 						</div>
-						<div class="form-group">
+						<!--div class="form-group">
 							<label for="form-field-district" class="col-sm-4 control-label no-padding-right">Quáº­n / Huyá»n</label>
 
 							<div class="col-sm-8">
-								<input type="text" name="district" value="<?php echo @$district; ?>" placeholder="Quáº­n / Huyá»n" id="form-field-district" class="input-large">
+								<input type="text" name="district" value="<?php echo $user['district']; ?>" placeholder="Quáº­n / Huyá»n" id="form-field-district" class="input-large">
 							</div>
-						</div>
+						</div-->
 
 <?php if ($can_edit == 1) { ?>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 702)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 706)
@@ -78,5 +78,5 @@
 														
 														<div class="col-sm-8">
-															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há» vÃ  tÃªn" id="form-field-first" class="col-xs-12 col-sm-10" <?php if (isset($p_id)) echo 'disabled'; ?>>
+															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há» vÃ  tÃªn" id="form-field-first" class="col-xs-12 col-sm-10" <?php if ($can_edit == 0) echo 'disabled'; ?>>
 
 														</div>
@@ -109,5 +109,5 @@
                                                     </div>
                                                 </div>
-												<div class="form-group">
+												<!--div class="form-group">
                                                     <label for="form-field-username" class="col-sm-4 control-label no-padding-right">Quáº­n / Huyá»n</label>
 
@@ -115,5 +115,5 @@
                                                         <input type="text" name="district" value="<?php echo @$district; ?>" placeholder="Quáº­n / Huyá»n" id="form-field-district" class="col-xs-12 col-sm-10">
                                                     </div>
-                                                </div>
+                                                </div-->
 						
                                             </div>