Index: pro-violet-viettel/sourcecode/application/language/message/messages_lang.php
===================================================================
--- pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 713)
+++ pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 714)
@@ -101,5 +101,7 @@
 						'BÃ¬nh Thuáº­n',
 						'CÃ  Mau',
+						'Cáº§n ThÆ¡',
 						'Cao Báº±ng',
+						'ÄÃ  Náºµng',
 						'Äáº¯k Láº¯k',
 						'Äáº¯k NÃŽng',
@@ -110,8 +112,11 @@
 						'HÃ  Giang',
 						'HÃ  Nam',
+						'HÃ  Ná»i',
 						'HÃ  TÄ©nh',
 						'Háº£i DÆ°Æ¡ng',
+						'Háº£i PhÃ²ng',
 						'Háº­u Giang',
 						'HÃ²a BÃ¬nh',
+						'Há» ChÃ­ Minh',
 						'HÆ°ng YÃªn',
 						'KhÃ¡nh HÃ²a',
@@ -128,4 +133,5 @@
 						'Ninh Thuáº­n',
 						'PhÃº Thá»',
+						'PhÃº YÃªn',
 						'Quáº£ng BÃ¬nh',
 						'Quáº£ng Nam',
@@ -145,9 +151,4 @@
 						'VÄ©nh Long',
 						'VÄ©nh PhÃºc',
-						'YÃªn BÃ¡i',
-						'PhÃº YÃªn',
-						'Cáº§n ThÆ¡',
-						'ÄÃ  Náºµng',
-						'Háº£i PhÃ²ng',
-						'HÃ  Ná»i',
-						'HCM');
+						'YÃªn BÃ¡i'
+						);
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 713)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 714)
@@ -42,5 +42,5 @@
                                 ÄÆ¡n vá»</label>
                             <div class="col-sm-8">
-                                <input name="school" <?php if ($can_edit == 0) { ?>  disabled <?php } ?> type="text" value="<?php echo $info['school']; ?>" placeholder="ÄÆ¡n vá»" id="form-field-first" class="input-large">
+                                <input name="school" type="text" value="<?php echo $info['school']; ?>" placeholder="ÄÆ¡n vá»" id="form-field-first" class="input-large">
                             </div>
                         </div>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 713)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 714)
@@ -195,10 +195,10 @@
 										</form>
 				
-										<div class="alert alert-block alert-success">
+										<!--div class="alert alert-block alert-success">
 											
 											<p>
 												QuÃœ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong><?php echo $username; ?></strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong> (500Ä/tin). 
 											<p/>
-										</div>
+										</div-->
                                 </div>
 
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php	(revision 713)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php	(revision 714)
@@ -212,68 +212,5 @@
 	}
 	
-	public function collaborator () 
-	{
-		error_reporting(E_ALL);
-
-		$this->load->model('Services_model');
-		
-		//$totalpage = 10213;
-		
-		// get total page
-		$totalpage = 1;
-		
-		$default = $this->Services_model->getCollaborator(2,1,100);
-		//var_dump($default);
-		$data = mb_convert_encoding($default, 'UTF-8', 'ISO-8859-1');
-		if($data){
-			$xml = simplexml_load_string($data);
-			$xml->registerXPathNamespace("S", "http://schemas.xmlsoap.org/soap/envelope/");
-			
-			$xml = $xml->xpath('//S:Body');
-			$xml = $xml[0];
-
-			$xml->registerXPathNamespace("ns2", "http://process.wsim.viettel.com/");
-			
-			$totalpage = $xml->xpath('//return//totalpage');
-			$totalpage = (int)$totalpage[0];
-		}
-		
-		for ($i=1; $i<=$totalpage; $i++){
-			$result = $this->Services_model->getCollaborator(2,$i,100);
-			$data = mb_convert_encoding($result, 'UTF-8', 'ISO-8859-1');
-			if($data && $data != -1){
-				$xml = simplexml_load_string($data);
-				$xml->registerXPathNamespace("S", "http://schemas.xmlsoap.org/soap/envelope/");
-				$xml = $xml->xpath('//S:Body');
-				$xml = $xml[0];
-				$xml->registerXPathNamespace("ns2", "http://process.wsim.viettel.com/");
-				$lst = $xml->xpath('//return//lst');
-				foreach($lst as $item){
-					$item = (array)$item;
-			
-					$data = array(
-							'address'=> (string)$item['address'],
-							'code'=>(string)$item['code'],
-							'district'=>(string)$item['district'],
-							'email'=>(string)$item['email'],
-							'id'=>(int)$item['id'],
-							'full_name'=>(string)$item['name'],
-							'cellphone'=>(string)$item['phone'],
-							'precinct'=>(string)$item['precinct'],
-							'province'=>(string)$item['province'],
-							'created_time'=>date('Y-m-d H:i:s'),
-							'updated_time'=>date('Y-m-d H:i:s')
-						);
-					write_file('./log/sync_collaborator.log', var_export($data, TRUE), FOPEN_WRITE_CREATE);
-					if ((string)$item['phone']){
-						$this->Services_model->syncCollaborator($data);
-					}
-				}
-			}else{
-				$logMsg = date('Y-m-d H:i:s') . " Result is null \n";
-				write_file('./log/sync_collaborator.log', $logMsg, FOPEN_WRITE_CREATE);
-			}
-		}
-	}
+	
 }
 
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/sync.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/sync.php	(revision 714)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/sync.php	(revision 714)
@@ -0,0 +1,76 @@
+<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+
+class Sync extends MX_Controller 
+{
+	public function __construct() 
+	{
+		parent::__construct();
+	}
+	
+	public function collaborator () 
+	{
+		if($this->input->is_cli_request()){
+			error_reporting(E_ALL);
+
+			$this->load->model('Services_model');
+			
+			//$totalpage = 10213;
+			
+			// get total page
+			$totalpage = 1;
+			
+			$default = $this->Services_model->getCollaborator(2,1,100);
+			//var_dump($default);
+			$data = mb_convert_encoding($default, 'UTF-8', 'ISO-8859-1');
+			if($data){
+				$xml = simplexml_load_string($data);
+				$xml->registerXPathNamespace("S", "http://schemas.xmlsoap.org/soap/envelope/");
+				
+				$xml = $xml->xpath('//S:Body');
+				$xml = $xml[0];
+
+				$xml->registerXPathNamespace("ns2", "http://process.wsim.viettel.com/");
+				
+				$totalpage = $xml->xpath('//return//totalpage');
+				$totalpage = (int)$totalpage[0];
+			}
+			
+			for ($i=1; $i<=$totalpage; $i++){
+				$result = $this->Services_model->getCollaborator(2,$i,100);
+				$data = mb_convert_encoding($result, 'UTF-8', 'ISO-8859-1');
+				if($data && $data != -1){
+					$xml = simplexml_load_string($data);
+					$xml->registerXPathNamespace("S", "http://schemas.xmlsoap.org/soap/envelope/");
+					$xml = $xml->xpath('//S:Body');
+					$xml = $xml[0];
+					$xml->registerXPathNamespace("ns2", "http://process.wsim.viettel.com/");
+					$lst = $xml->xpath('//return//lst');
+					foreach($lst as $item){
+						$item = (array)$item;
+				
+						$data = array(
+								'address'=> (string)$item['address'],
+								'code'=>(string)$item['code'],
+								'district'=>(string)$item['district'],
+								'email'=>(string)$item['email'],
+								'id'=>(int)$item['id'],
+								'full_name'=>(string)$item['name'],
+								'cellphone'=>(string)$item['phone'],
+								'precinct'=>(string)$item['precinct'],
+								'province'=>(string)$item['province'],
+								'created_time'=>date('Y-m-d H:i:s'),
+								'updated_time'=>date('Y-m-d H:i:s')
+							);
+						write_file('./log/sync_collaborator.log', var_export($data, TRUE), FOPEN_WRITE_CREATE);
+						if ((string)$item['phone']){
+							$this->Services_model->syncCollaborator($data);
+						}
+					}
+				}else{
+					$logMsg = date('Y-m-d H:i:s') . " Result is null \n";
+					write_file('./log/sync_collaborator.log', $logMsg, FOPEN_WRITE_CREATE);
+				}
+			}
+		}
+	}
+}