Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php	(revision 716)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/lecture.php	(revision 717)
@@ -14,4 +14,6 @@
     public function __construct() {
         parent::__construct();
+		$this->load->helper('language');
+		$this->lang->load('messages', 'message');
     }
 
@@ -42,4 +44,8 @@
                 $update_user_info=1;
             }
+			
+			if ($u['province'] == '' && $u['p_id'] != ''){
+				$update_user_info=1;
+			}
             
             if (!$this->session->userdata('first_visit'))
@@ -49,5 +55,5 @@
             }
  
-          $this->load->view('lecture_editor', array('username' => $username, 'licenseAvailable' => $licenseAvailable, 'first_visit' => $first_visit, 'licflashVars' => $aryParams,'update_user_info'=>$update_user_info,'us_id'=>$us_id,"p_period"=>$u['p_period'],"expire_date"=>date("d-m-Y", strtotime($u['expire_date']))));
+          $this->load->view('lecture_editor', array('username' => $username, 'licenseAvailable' => $licenseAvailable, 'first_visit' => $first_visit, 'licflashVars' => $aryParams,'update_user_info'=>$update_user_info,'us_id'=>$us_id,"p_period"=>$u['p_period'],"expire_date"=>date("d-m-Y", strtotime($u['expire_date'])), "fullname"=>$info['fullname'], "school"=>$info['school'], "province"=>$u['province'], "provinces"=>lang('_PROVINCES_')));
         } else {
             redirect('/frontend/home/');
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 716)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 717)
@@ -242,7 +242,11 @@
             parse_str($user_info['user'], $info);
             if ($input) {
-                if (strlen($input['fullname']) == 0) {
-                    $result['errors'][] = array("content"=>lang('_SBG_FULLNAME_REQUIRED_MSG'),"field"=>"fullname");
-                }
+				if (array_key_exists('fullname', $input)) {
+					if (strlen($input['fullname']) == 0) {
+						$result['errors'][] = array("content"=>lang('_SBG_FULLNAME_REQUIRED_MSG'),"field"=>"fullname");
+					}
+				}else{
+					$input['fullname'] = $user['fullname'];
+				}
                 if (strlen($input['school']) == 0) {
                     $result['errors'][] = array("content"=>lang('_SBG_REGISTER_VIP_SCHOOL_REQUIRED_MSG'),"field"=>"school");
@@ -251,5 +255,5 @@
                 $input['password'] = '';
                 $input['oldpass'] = '';
-                $input['province'] = '';
+                //$input['province'] = '';
                 $this->load->model('user_model');
                 if (!isset($result['errors'])) {
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 716)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/lecture_editor.php	(revision 717)
@@ -58,5 +58,5 @@
                                 Há» vÃ  tÃªn</label>
                             <div class="col-sm-8">
-                                <input name="fullname" type="text" value="" placeholder="Há» vÃ  tÃªn" id="form-field-first" class="input-large">
+                                <input name="fullname" type="text" value="<?php echo $fullname; ?>" placeholder="Há» vÃ  tÃªn" id="form-field-first" class="input-large" <?php if($fullname) echo "disabled"; ?>>
                                 <label class="block clearfix has-error">
                                 <div id="fullname" class="help-block error"></div>
@@ -71,5 +71,5 @@
                                 ÄÆ¡n vá»</label>
                             <div class="col-sm-8">
-                                <input name="school"  type="text" value="" placeholder="ÄÆ¡n vá»" id="form-field-first" class="input-large">
+                                <input name="school"  type="text" value="<?php echo $school; ?>" placeholder="ÄÆ¡n vá»" id="form-field-first" class="input-large">
                             <label class="block clearfix has-error">
                                 <div id="school" class="help-block error"></div>
@@ -77,4 +77,15 @@
                             </div>
                         </div>
+						<div class="form-group">
+							<label for="form-field-province" class="col-sm-4 control-label no-padding-right">Tá»nh / ThÃ nh phá»</label>
+							<div class="col-sm-8">
+								<select name="province" id="form-field-province" class="input-large">
+								<?php foreach ($provinces as $pro):?>
+									<option></option>
+									<option value="<?php echo $pro;?>" <?php if($province == $pro) echo "selected"; ?>><?php echo $pro; ?></option>
+								<?php endforeach;?>
+								</select>
+							</div>
+						</div>
 
                         LÆ°u Ãœ:
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 716)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 717)
@@ -50,4 +50,5 @@
 								<select name="province" id="form-field-province" class="input-large">
 								<?php foreach (lang('_PROVINCES_') as $pro):?>
+									<option></option>
 									<option value="<?php echo $pro;?>" <?php if($user['province'] == $pro) echo "selected"; ?> ><?php echo $pro; ?></option>
 								<?php endforeach;?>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 716)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 717)
@@ -104,4 +104,5 @@
 														<select name="province" id="form-field-province" class="col-xs-12 col-sm-10">
 														<?php foreach ($provinces as $pro):?>
+															<option></option>
 															<option value="<?php echo $pro;?>" <?php if($province==$pro) echo "selected"; ?>><?php echo $pro; ?></option>
 														<?php endforeach;?>