Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 718)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 719)
@@ -1,3 +1,3 @@
-<?php 
+<?php
 $admin_info = $this->session->userdata('adminInfo');
 $role_id = $admin_info['role_id'];
@@ -45,10 +45,10 @@
             <div style="padding-bottom:4px" class="table-header">
                 Thá»ng kÃª tÃ i khoáº£n
-				<?php if($role_id == 1): ?>
-                <button href="#addUser" data-toggle="modal" class="btn btn-success pull-right">
-                    <i class="icon-plus"></i>
-                    ThÃªm cá»ng tÃ¡c viÃªn
-                </button>
-				<?php endif; ?>
+                <?php if ($role_id == 1): ?>
+                    <button href="#addUser" data-toggle="modal" class="btn btn-success pull-right">
+                        <i class="icon-plus"></i>
+                        ThÃªm cá»ng tÃ¡c viÃªn
+                    </button>
+                <?php endif; ?>
 
             </div>
@@ -62,5 +62,5 @@
                                         <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
                                             <?php foreach ($itemsoptions as $option) { ?>
-                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?php echo $option;?>"><?php echo $option;?></option>
+                                                <option <?php if ($option == $perpage) echo "selected"; ?> value="<?php echo $option; ?>"><?php echo $option; ?></option>
                                             <?php } ?>
                                         </select> báº£n ghi</label>
@@ -72,116 +72,131 @@
                                 <div class="dataTables_filter" id="sample-table-2_filter">
                                     <label>TÃ¬m kiáº¿m: 
-                                        <input type="text" name="keyword" id="keyword" value='<?php echo $keyword;?>' style="width: 162px; height: 18px;" aria-controls="sample-table-2"></label>
+                                        <input type="text" name="keyword" id="keyword" value='<?php echo $keyword; ?>' style="width: 162px; height: 18px;" aria-controls="sample-table-2"></label>
                                 </div>
-								<div id="daterangepicker" class="selectbox pull-right">
-									<i class="icon-calendar"></i>
-									<input id="daterange" type="text" name="daterange" class="daterangepicker" style="background: #ffffff; width: 176px; height: 28px; position: inherit;">
-										
-									</span>
-								</div>
+                                <div id="daterangepicker" class="selectbox pull-right">
+                                    <i class="icon-calendar"></i>
+                                    <input id="daterange" type="text" name="daterange" class="daterangepicker" style="background: #ffffff; width: 176px; height: 28px; position: inherit;">
+
+                                    </span>
+                                </div>
                             </div>
                         </div>
-                        <input type="hidden" name="sorting_order" id="sorting_order" value="<?php echo $sorting_order;?>" />
-                        <input type="hidden" name="sorting_field" id="sorting_field" value="<?php echo $sorting_field;?>"/>
+                        <input type="hidden" name="sorting_order" id="sorting_order" value="<?php echo $sorting_order; ?>" />
+                        <input type="hidden" name="sorting_field" id="sorting_field" value="<?php echo $sorting_field; ?>"/>
                     </form>
                     <table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
                         <thead>
                             <tr role="row">
-                                
-                             
-                                <th class="<?php if ($sorting_field == 'full_name') {echo $sorting_order;} else {echo "sorting";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">Há» tÃªn</th>
-                                <th class="<?php if ($sorting_field == 'cellphone') {echo $sorting_order;} else {echo "sorting";}?>" id="cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
+
+
+                                <th class="<?php
+                                if ($sorting_field == 'cellphone') {
+                                    echo $sorting_order;
+                                } else {
+                                    echo "sorting";
+                                }
+                                ?>" id="cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
                                 <th>Quáº­n/Huyá»n</th>
-								<th>Tá»nh/TP</th>
-                                <th class="<?php if ($sorting_field == 'created_time') {echo $sorting_order;} else {echo "sorting";}?>" id="created_time" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">
+                                <th>Tá»nh/TP</th>
+                                <th class="<?php
+                                if ($sorting_field == 'created_time') {
+                                    echo $sorting_order;
+                                } else {
+                                    echo "sorting";
+                                }
+                                ?>" id="created_time" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">
                                     <i class="icon-time bigger-110 hidden-480"></i>
                                     NgÃ y ÄÄng kÃœ
                                 </th>
-                                <th class="<?php if ($sorting_field=='activated') {echo $sorting_order;} else {echo "sorting";}?>" id="activated" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 158px;" aria-label="Tráº¡ng thÃ¡i: activate to sort column ascending">Tráº¡ng thÃ¡i</th>
-                                <?php if($role_id == 1): ?><th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 133px;" aria-label="">Chá»©c nÄng</th><?php endif; ?></tr>
+                                <th class="<?php
+                                if ($sorting_field == 'activated') {
+                                    echo $sorting_order;
+                                } else {
+                                    echo "sorting";
+                                }
+                                ?>" id="activated" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 158px;" aria-label="Tráº¡ng thÃ¡i: activate to sort column ascending">Tráº¡ng thÃ¡i</th>
+                            <?php if ($role_id == 1): ?><th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 133px;" aria-label="">Chá»©c nÄng</th><?php endif; ?></tr>
                         </thead>
 
 
                         <tbody role="alert" aria-live="polite" aria-relevant="all">
-                            
-                            <?php
-                            foreach ($collaborators as $collaborator) {
-                                ?>
-                            <tr class="odd">
-                                
-
-                                
-                                <td class=" "><a href="<?php echo base_url();?>admin/thong_ke_cong_tac_vien/<?php echo $collaborator['id'];?>"><?php echo $collaborator['full_name']?></a></td>
-                                <td class=" "><?php echo $collaborator['cellphone'];?></td>
-								<td class=" "><?php echo $collaborator['district'];?></td>
-								<td class=" "><?php echo $collaborator['province'];?></td>
-                                <td class=" "><?php echo $collaborator['created_time'];?></td>
-
-                                <td class="hidden-480 ">
-                                    <?php if ( $collaborator['activated']==1)
-                                    {?>
-                                    <span class="label label-sm label-success">ÄÃ£ kÃ­ch hoáº¡t</span>
-                                    <?php
-                                    } else
-                                    {
-                                    ?>
-                                    <span class="label label-sm label-default">ChÆ°a kÃ­ch hoáº¡t</span>
-                                    <?php
-                                    }
-                                    ?>
-                                </td>
-								<?php if($role_id == 1): ?>
-                                <td class=" ">
-                                    <div class="visible-md visible-lg hidden-sm hidden-xs action-buttons">
-                                        <a href="#" class="blue">
-                                            <i data-toggle="ajaxModal" href='<?php echo base_url();?>admin/cong_tac_vien/xem/<?php echo $collaborator['id'];?>'  class="icon-zoom-in bigger-130"></i>
-                                        </a>
-
-                                        <a href="#" class="green">
-                                            <i data-toggle="ajaxModal" href='<?php echo base_url();?>admin/cong_tac_vien/sua/<?php echo $collaborator['id'];?>' data-toggle="modal" href='#editUser' class="icon-pencil bigger-130"></i>
-                                        </a>
-
-                                        <a href="#" class="red">
-                                            <i data-toggle="ajaxModal" href='<?php echo base_url();?>admin/cong_tac_vien/xoa/<?php echo $collaborator['id'];?>' data-toggle="modal" href='#deleteUser' class="icon-trash bigger-130"></i>
-                                        </a>
-                                    </div>
-
-                                    <div class="visible-xs visible-sm hidden-md hidden-lg">
-                                        <div class="inline position-relative">
-                                            <button data-toggle="dropdown" class="btn btn-minier btn-yellow dropdown-toggle">
-                                                <i class="icon-caret-down icon-only bigger-120"></i>
-                                            </button>
-
-                                            <ul class="dropdown-menu dropdown-only-icon dropdown-yellow pull-right dropdown-caret dropdown-close">
-                                                <li>
-                                                    <a title="" data-rel="tooltip" class="tooltip-info" href="#" data-original-title="View">
-                                                        <span class="blue">
-                                                            <i class="icon-zoom-in bigger-120"></i>
-                                                        </span>
-                                                    </a>
-                                                </li>
-
-                                                <li>
-                                                    <a title="" data-rel="tooltip" class="tooltip-success" href="#" data-original-title="Edit">
-                                                        <span class="green">
-                                                            <i class="icon-edit bigger-120"></i>
-                                                        </span>
-                                                    </a>
-                                                </li>
-
-                                                <li>
-                                                    <a title="" data-rel="tooltip" class="tooltip-error" href="#" data-original-title="Delete">
-                                                        <span class="red">
-                                                            <i class="icon-trash bigger-120"></i>
-                                                        </span>
-                                                    </a>
-                                                </li>
-                                            </ul>
-                                        </div>
-                                    </div>
-                                </td>
-								<?php endif; ?>
-                            </tr>
-                            <?php } ?>
+
+<?php
+foreach ($collaborators as $collaborator) {
+    ?>
+                                <tr class="odd">
+
+
+
+                                    <td class=" "><a href="<?php echo base_url(); ?>admin/thong_ke_cong_tac_vien/<?php echo $collaborator['id']; ?>"><?php echo $collaborator['cellphone']; ?></a></td>
+                                    <td class=" "><?php echo $collaborator['district']; ?></td>
+                                    <td class=" "><?php echo $collaborator['province']; ?></td>
+                                    <td class=" "><?php echo $collaborator['created_time']; ?></td>
+
+                                    <td class="hidden-480 ">
+                                        <?php if ($collaborator['activated'] == 1) {
+                                            ?>
+                                            <span class="label label-sm label-success">ÄÃ£ kÃ­ch hoáº¡t</span>
+                                            <?php
+                                        } else {
+                                            ?>
+                                            <span class="label label-sm label-default">ChÆ°a kÃ­ch hoáº¡t</span>
+        <?php
+    }
+    ?>
+                                    </td>
+    <?php if ($role_id == 1): ?>
+                                        <td class=" ">
+                                            <div class="visible-md visible-lg hidden-sm hidden-xs action-buttons">
+                                                <a href="#" class="blue">
+                                                    <i data-toggle="ajaxModal" href='<?php echo base_url(); ?>admin/cong_tac_vien/xem/<?php echo $collaborator['id']; ?>'  class="icon-zoom-in bigger-130"></i>
+                                                </a>
+
+                                                <a href="#" class="green">
+                                                    <i data-toggle="ajaxModal" href='<?php echo base_url(); ?>admin/cong_tac_vien/sua/<?php echo $collaborator['id']; ?>' data-toggle="modal" href='#editUser' class="icon-pencil bigger-130"></i>
+                                                </a>
+
+                                                <a href="#" class="red">
+                                                    <i data-toggle="ajaxModal" href='<?php echo base_url(); ?>admin/cong_tac_vien/xoa/<?php echo $collaborator['id']; ?>' data-toggle="modal" href='#deleteUser' class="icon-trash bigger-130"></i>
+                                                </a>
+                                            </div>
+
+                                            <div class="visible-xs visible-sm hidden-md hidden-lg">
+                                                <div class="inline position-relative">
+                                                    <button data-toggle="dropdown" class="btn btn-minier btn-yellow dropdown-toggle">
+                                                        <i class="icon-caret-down icon-only bigger-120"></i>
+                                                    </button>
+
+                                                    <ul class="dropdown-menu dropdown-only-icon dropdown-yellow pull-right dropdown-caret dropdown-close">
+                                                        <li>
+                                                            <a title="" data-rel="tooltip" class="tooltip-info" href="#" data-original-title="View">
+                                                                <span class="blue">
+                                                                    <i class="icon-zoom-in bigger-120"></i>
+                                                                </span>
+                                                            </a>
+                                                        </li>
+
+                                                        <li>
+                                                            <a title="" data-rel="tooltip" class="tooltip-success" href="#" data-original-title="Edit">
+                                                                <span class="green">
+                                                                    <i class="icon-edit bigger-120"></i>
+                                                                </span>
+                                                            </a>
+                                                        </li>
+
+                                                        <li>
+                                                            <a title="" data-rel="tooltip" class="tooltip-error" href="#" data-original-title="Delete">
+                                                                <span class="red">
+                                                                    <i class="icon-trash bigger-120"></i>
+                                                                </span>
+                                                            </a>
+                                                        </li>
+                                                    </ul>
+                                                </div>
+                                            </div>
+                                        </td>
+    <?php endif; ?>
+                                </tr>
+<?php } ?>
 
 
@@ -192,11 +207,11 @@
 
                         </tbody></table><div class="row"><div class="col-sm-6">
-                                <div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start+1)?> Äáº¿n <?php echo ($start+$perpage)?> cá»§a <?php echo $total?> báº£n ghi</div>
-                                    
-                            </div>
+                            <div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start + 1) ?> Äáº¿n <?php echo ($start + $perpage) ?> cá»§a <?php echo $total ?> báº£n ghi</div>
+
+                        </div>
                         <div class="col-sm-6">
                             <div class="dataTables_paginate paging_bootstrap">
                                 <ul class="pagination">
-                                    <?php echo $paging; ?>
+<?php echo $paging; ?>
                                 </ul>
                             </div>
@@ -207,5 +222,5 @@
             </div>
 
-            
+
         </div>
 